package com.brilliance.isc.common.trnism.vo;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.trnsig.vo.TrnsigVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.wfmmod.vo.WfmmodVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class TrnismVo extends AbstractCommonVo {

    //暂不清楚何处设置，可传空值
    private String maxcur = NULLSTR;
    //内部设置值，无需传递
    private BigDecimal maxamt;

    private WfmmodVo wfmmod;

    private Usr usr;

    private TrnsigVo trnsig;

    //Release Amt from LIAMOD
    private  BigDecimal relliaamt = Decimals.ZERO_SCALE2;

    @Override
    public void reset() {
        if (wfmmod == null) {
            wfmmod = new WfmmodVo();
        }
        wfmmod.reset();
        if (trnsig == null) {
            trnsig = new TrnsigVo();
        }
        trnsig.reset();
    }
}
